Bug 234438 - Type of variable in with binding not resolved
Type of variable in with binding not resolved
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: Knockout
7.4
PC Linux
: P3 (vote)
: 7.4
Assigned To: Petr Pisl
Vladimir Riha
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 11:26 UTC by Vladimir Riha
Modified: 2013-08-23 06:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-08-15 11:26:40 UTC
Please try:

index.html:
<!doctype html>
<html>
    <head>
    </head>
    <body>
        <div data-bind="with: today">
            <span data-bind="text: get"></span></div>


        <script src="js/knockout-2.1.0.js" type="text/javascript"></script>
        <script src="models.js" type="text/javascript"></script>
    </body>
</html>



models.js:
function SimpleMode() {
    var self = this;
    self.today = new Date();
    
}
ko.applyBindings(new SimpleMode());



- in html page, invoke code completion for the "get|" where | is caret position

=> properties from Date object should be offered. This works in Build 201308122300 but not today. 



Product Version: NetBeans IDE Dev (Build 201308150051)
Java: 1.7.0_40; Java HotSpot(TM) Client VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b39
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Petr Pisl 2013-08-22 21:52:57 UTC
Should work again.
Comment 2 Vladimir Riha 2013-08-23 06:30:03 UTC
Thanks, verified

Product Version: NetBeans IDE Dev (Build 201308222300)
Updates: Updates available
Java: 1.7.0_40; Java HotSpot(TM) Client VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b39
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo